package dev.fitko.fitconnect.api.services.portal;


import dev.fitko.fitconnect.api.domain.model.jwk.ApiJwkSet;

/**
 * Service class for access to all technical endpoints of the FIT-Connect Self-Service-Portal.
 */
public interface SelfServicePortalService {

    /**
     * Get all well-known keys of the self-service portal as set of JWKs.
     *
     * @return set JWKs
     */
    ApiJwkSet getPublicKeys();
}
